Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp3.jdk14
Interface EntityManager

All Superinterfaces:
  EntityManager

public interface EntityManager
extends EntityManager

Purpose: Defines the Interface for TopLink extensions to the EntityManager

See Also:
  `EntityManager`

Method Summary
`Query` | `createQuery(Expression expression, java.lang.Class resultType)` This method is used to create a query using a Toplink Expression and the return type.
`Session` | `getActiveSession()` This method returns the current session to the requestor.
`Session` | `getSession()` This method will return a Session outside of a transaction and null within a transaction.
`UnitOfWork` | `getUnitOfWork()` This method will return the transactional UnitOfWork during the transaction and null outside of the transaction.

Methods inherited from interface oracle.toplink.sessions.entitymanager.EntityManager
`close, contains, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, find, find, flush, getUserTransaction, isOpen, merge, persist, refresh, remove`

Method Detail

### getActiveSession

    public Session getActiveSession()

  This method returns the current session to the requestor. The current session will be a the active UnitOfWork within a transaction and will be a 'scrap' UnitOfWork outside of a transaction. The caller is conserned about the results then the getSession() or getUnitOfWork() API should be called.

### getUnitOfWork

    public UnitOfWork getUnitOfWork()

  This method will return the transactional UnitOfWork during the transaction and null outside of the transaction.

### getSession

    public Session getSession()

  This method will return a Session outside of a transaction and null within a transaction.

### createQuery

    public Query createQuery(Expression expression,
                             java.lang.Class resultType)

  This method is used to create a query using a Toplink Expression and the return type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD